
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <title>Phil's Players - VideoJS with Contrib Dash (DashJS)</title>

  <!-- Bootstrap -->
  <link href="css/bootstrap.flatly.min.css" title="default" rel="stylesheet">
  <link href="css/bootstrap.darkly.min.css" title="dark" rel="stylesheet">
  <link href="css/ie10-viewport-bug-workaround.css" rel="stylesheet">
  <link href="css/jumbotron-narrow.css" rel="stylesheet">

  <!-- Style Switcher -->
  <script src="js/docs-themes.js" type="text/javascript"></script>
  <script type="text/javascript">set_style();</script>

  <!-- Chromecast pre-load -->
  <head data-cast-api-enabled="true"> <!-- allow chromecast extention -->
  <script src="//www.gstatic.com/cv/js/sender/v1/cast_sender.js"></script>

  <!-- VideoJS, DashJS -->
  <script src="//vjs.zencdn.net/5.10/video.js"></script>
  <script src="//cdn.dashjs.org/latest/dash.all.debug.js"></script>
  <script src="https://npmcdn.com/videojs-contrib-dash@^2.6.1/dist/videojs-dash.js"></script>
  <link href="//vjs.zencdn.net/5.10/video-js.css" rel="stylesheet">

  <!-- Chromecast post-load -->
  <script src="js/videojs-chromecast/videojs-chromecast.min.js"></script>
  <link href="js/videojs-chromecast/videojs-chromecast.css" rel="stylesheet">

  <!-- JQuery -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>

</head>

<body>

  <div class="container">
    <div class="header clearfix">
      <nav>
        <ul class="nav nav-pills pull-right">
          <li role="presentation"><a href="index.html">Select a Player</a></li>
          <li role="presentation"><a href="#" onclick='switch_style("dark"); return false;'>Dark</a></li>
          <li role="presentation"><a href="#" onclick='switch_style("default"); return false;'>Light</a></li>
        </ul>
      </nav>
      <h3 class="text-muted">Phil's Players</h3>
    </div>

    <div class="jumbotron">
      <form id="playform">
        <div class="form-group">
          <label for="manifest">MPEG DASH Manifest:</label>
          <input type="text" class="form-control" id="manifest" name="manifest">
        </div>
        <div class="form-group">
          <label for="license">Widevine License Server: <small>(Optional)</small></label>
          <input type="text" class="form-control" id="license" name="license">
        </div>
        <button type="submit" class="btn btn-primary btn-lg">Play!</button><br><br>
        <button type="button" id="demo" class="btn btn-info btn-sm">Load Demo Manifest</button>
      </form>
    </div>

    <div class="jumbotron">
      <video id="example" width="600" height="338" class="video-js vjs-default-skin center-block" controls/>
    </div>

    <div class="jumbotron">
      <p>This player is VideoJS with Contrib Dash (DashJS)<br><a href="http://videojs.github.io/videojs-contrib-dash/">More details can be found here.</a></p>
      <p><small>VideoJS 5.10 ~ DashJS Latest ~ VideoJS Contrib Dash 2.6.1</small></p>
    </div>

    <script>
    var player = videojs('example');
    $( "#playform" ).submit(function( event ) {

      var licenseUrl = $( "#license" ).val();
      var manifestUrl = $( "#manifest" ).val();

      // With Widevine
      if (licenseUrl !== "") {
        console.log('Will do DRM');
        player.src({
          src: manifestUrl,
          type: 'application/dash+xml',
          keySystemOptions: [
            {
              name: 'com.widevine.alpha',
              options: {
                licenseUrl: licenseUrl
              }
            }
          ]
        });
      }
      // No DRM
      else {
        console.log('Will NOT do DRM');
        player.src({
          src: manifestUrl,
          type: 'application/dash+xml'
        });
      }

      player.play();
      event.preventDefault();
    });

    $( "#demo" ).click(function() {
      $( "#manifest" ).val("https://d1czxfd0hfd9km.cloudfront.net/outputs/bbb/mediaconvert/dash/bbb.mpd");
      $( "#playform" ).submit();
    });
    </script>

    <footer class="footer">
      <p>&copy; Phil Cluff &amp; <a href="https://github.com/GeneticGenesis/phils-players#authors"> The Authors</a> 2019.</p>
    </footer>

  </div>

  <script src="js/ie10-viewport-bug-workaround.js"></script>
</body>
</html>
